      SUBROUTINE WSET (N, XR, XI, YR, YI, INCY)
      IMPLICIT NONE
C
      INTEGER N, INCY
      DOUBLE PRECISION XR, XI, YR(*), YI(*)
C
      INTEGER I, IY
C
C
      IY = 1
      IF (N.LE.0) RETURN
      DO 10 I = 1, N
        YR(IY) = XR
        YI(IY) = XI
        IY = IY+INCY
10    CONTINUE
C
      RETURN
      END
